<!---
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License. See accompanying LICENSE file.
-->

# About
Apache HTrace is an <a href="http://htrace.incubator.apache.org">Apache
Incubator</a> project  providing an open source framework for distributed
tracing.  It can be used with both standalone applications and libraries.

HTrace was designed for use in big distributed systems such as the Apache
Hadoop Distributed Filesystem and the Apache HBase storage engine.  However,
there is nothing Hadoop-specific about HTrace.  It has no dependencies on
Hadoop, and is a useful building block for many distributed systems.  See the
[developer guide](developer_guide.html) for information on adding HTrace support.

# Releases
* htrace-4.1.0-incubating published March 4th, 2016. [Download it!](http://www.apache.org/dyn/closer.cgi/incubator/htrace/)
* htrace-4.0.1-incubating published September 26th, 2015. [Download it!](http://www.apache.org/dyn/closer.cgi/incubator/htrace/)
* htrace-4.0.0-incubating published September 15th, 2015. [Download it!](http://www.apache.org/dyn/closer.cgi/incubator/htrace/)
* htrace-3.2.0-incubating published June 2nd, 2015.
* We made our first release from Apache Incubator, htrace-3.1.0-incubating, January 20th, 2015.

# JavaDoc
The API documentation for htrace-core is online.

* [htrace-4.1.0-incubating JavaDoc](http://htrace.incubator.apache.org/javadoc/4.1/htrace-core/index.html)

# Incubation Status
Apache HTrace is an effort undergoing incubation at The Apache Software Foundation (ASF), sponsored by the Apache Incubator. Incubation is required of all newly accepted projects until a further review indicates that the infrastructure, communications, and decision making process have stabilized in a manner consistent with other successful ASF projects. While incubation status is not necessarily a reflection of the completeness or stability of the code, it does indicate that the project has yet to be fully endorsed by the ASF.
